# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# NOTE: rpmlint complains about the FSF address being wrong
# https://bugs.launchpad.net/bzr-explorer/+bug/817663

%define explorer explorer

Name:		bzr-explorer
Version:	1.2.2
Release:	alt1_3
Summary:	Graphical application for using Bazaar

Group:		Development/Tools
License:	GPLv2+
URL:		http://launchpad.net/%{name}
Source0:	http://launchpad.net/%{name}/1.2/%{version}/+download/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-module-distutils-extra
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

Requires:	bzr
Source44: import.info

%description
Bazaar Explorer is a desktop application for using the
Bazaar Version Control System. It provides a high level
interface to all commonly used features.

%prep
%setup -q


%build
%{__python} setup.py build


%install

#use the icon from the main bzr package
sed -i 's/\#Icon/Icon/' %{name}.desktop

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%{__python} setup.py install --skip-build --root %{buildroot}

#put the locale in the right place
mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{python_sitelibdir_noarch}/bzrlib/plugins/%{explorer}/locale %{buildroot}%{_datadir}

%find_lang %{explorer}


%files -f %{explorer}.lang
%{python_sitelibdir_noarch}/bzrlib/plugins/%{explorer}/
%{python_sitelibdir_noarch}/*.egg-info
%{_datadir}/applications/%{name}.desktop
%doc README.txt COPYING.txt NEWS doc


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.2-alt1_3
- update to new release by fcimport

* Mon Feb 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.2-alt1_2
- update to new release by fcimport

